<template>
  <div>
    <div class="btn-action-container">
      <img
        :src="asset('images/ui_elements/ic_info.png')"
        alt="icon info"
        class="btn-action bg-white rounded-circle"
        @click="showModal()"
      >
    </div>
    <b-modal
      id="modal1"
      hide-footer
      hide-header
      centered
      ref="thisModal"
      class="border-0"
      size="600"
    >
      <div class="container" v-if="user">
        <div class="row">
          <div class="col-md-12">
            <img
              :src="asset(`images/ui_elements/ic_close.png`)"
              style="width:25px"
              @click="hideModal"
            >
          </div>
        </div>
        <div class="row">
          <div class="col-md-4 text-center">
            <img
              :src="user.picture || asset('images/pictures/no_avatar.jpg')"
              class="rounded-circle w-75"
              @error="imgErrorHandler"
            >
          </div>
          <div class="col-md-6">
            <h5>{{user.name}}</h5>
            <p class="text-muted">Join since {{user.created_at}}</p>
            <img :src="asset(`images/ui_elements/ic_user_online.png`)" style="width:25px">
            <img :src="asset(`images/channels/${user.channel.name}.png`)" style="width:25px">
          </div>
          <div class="col-md-2">
            <img :src="asset(`images/ui_elements/ic_new_chat.png`)" style>
          </div>
        </div>
        <hr>
        <div class="row">
          <div class="col-md-12">
            <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a
                  class="nav-link active capsule"
                  id="pills-home-tab"
                  data-toggle="pill"
                  href="#profile"
                  role="tab"
                  aria-controls="pills-home"
                  aria-selected="true"
                >Profile</a>
              </li>
              <li class="nav-item">
                <a
                  class="nav-link capsule"
                  id="pills-profile-tab"
                  data-toggle="pill"
                  href="#balance"
                  role="tab"
                  aria-controls="pills-profile"
                  aria-selected="false"
                >Balance</a>
              </li>
              <li class="nav-item">
                <a
                  class="nav-link capsule"
                  id="pills-contact-tab"
                  data-toggle="pill"
                  href="#tracking"
                  role="tab"
                  aria-controls="pills-contact"
                  aria-selected="false"
                >Tracking</a>
              </li>
            </ul>
            <div class="tab-content" id="pills-tabContent">
              <div
                class="tab-pane fade show active"
                id="profile"
                role="tabpanel"
                aria-labelledby="pills-home-tab"
              >
                <div class="row mb-2">
                  <div class="col-md-3">
                    <span class="text-muted">Nickname</span>
                  </div>
                  <div class="col-md-7">
                    <strong>{{user.nickname}}</strong>
                  </div>
                </div>
                <div class="row mb-2">
                  <div class="col-md-3">
                    <span class="text-muted">Email Address</span>
                  </div>
                  <div class="col-md-7 word-wrap">
                    <strong>{{user.email}}</strong>
                  </div>
                </div>
                <div class="row mb-2">
                  <div class="col-md-3">
                    <span class="text-muted">Mobile Number</span>
                  </div>
                  <div class="col-md-7">
                    <strong>{{user.phone}}</strong>
                  </div>
                </div>
                <div class="row mb-2">
                  <div class="col-md-3">
                    <span class="text-muted">Birth Date</span>
                  </div>
                  <div class="col-md-7">
                    <strong>{{user.created_at}}</strong>
                  </div>
                </div>
                <div class="row mb-2">
                  <div class="col-md-3">
                    <span class="text-muted">Gender</span>
                  </div>
                  <div class="col-md-7">
                    <strong>{{user.gender}}</strong>
                  </div>
                </div>
                <div class="row mb-2">
                  <div class="col-md-3">
                    <span class="text-muted">Location</span>
                  </div>
                  <div class="col-md-7">
                    <strong>{{user.location}}</strong>
                  </div>
                </div>
                <div class="row mb-2">
                  <div class="col-md-3">
                    <span class="text-muted">Interest</span>
                  </div>
                  <div class="col-md-7">
                    <strong>{{user.interest}}</strong>
                  </div>
                </div>
              </div>
              <div
                class="tab-pane fade"
                id="balance"
                role="tabpanel"
                aria-labelledby="pills-profile-tab"
              >No data</div>
              <div
                class="tab-pane fade"
                id="tracking"
                role="tabpanel"
                aria-labelledby="pills-contact-tab"
              >No data</div>
            </div>
          </div>
        </div>
      </div>
    </b-modal>
  </div>
</template>
<script>
export default {
  props: ["user"],
  methods: {
    hideModal() {
      this.$refs.thisModal.hide();
    },
    showModal() {
      this.$emit("show");
      this.$refs.thisModal.show();
    }
  }
};
</script>
<style lang="scss">
</style>
